curl --request POST \
--url https://automations-api.vortexiq.ai/v1/automations/imports/analyse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "n8n",
"workflow": {
"name": "Daily product summary",
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"typeVersion": 1.2,
"position": [
0,
0
],
"parameters": {
"rule": {
"interval": [
{
"triggerAtHour": 7
}
]
}
}
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"typeVersion": 4.2,
"position": [
200,
0
],
"parameters": {
"url": "https://demo.myshopify.com/admin/api/2024-10/products.json"
},
"onError": "continueRegularOutput"
}
],
"connections": {
"Daily": {
"main": [
[
{
"node": "Products",
"type": "main",
"index": 0
}
]
]
},
"Products": {
"main": [
[
{
"node": "Summary",
"type": "main",
"index": 0
}
]
]
}
},
"settings": {
"executionOrder": "v1"
}
}
}
'import requests
url = "https://automations-api.vortexiq.ai/v1/automations/imports/analyse"
payload = {
"source": "n8n",
"workflow": {
"name": "Daily product summary",
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"typeVersion": 1.2,
"position": [0, 0],
"parameters": { "rule": { "interval": [{ "triggerAtHour": 7 }] } }
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"typeVersion": 4.2,
"position": [200, 0],
"parameters": { "url": "https://demo.myshopify.com/admin/api/2024-10/products.json" },
"onError": "continueRegularOutput"
}
],
"connections": {
"Daily": { "main": [[
{
"node": "Products",
"type": "main",
"index": 0
}
]] },
"Products": { "main": [[
{
"node": "Summary",
"type": "main",
"index": 0
}
]] }
},
"settings": { "executionOrder": "v1" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'n8n',
workflow: {
name: 'Daily product summary',
nodes: [
{
name: 'Daily',
type: 'n8n-nodes-base.scheduleTrigger',
typeVersion: 1.2,
position: [0, 0],
parameters: {rule: {interval: [{triggerAtHour: 7}]}}
},
{
name: 'Products',
type: 'n8n-nodes-base.httpRequest',
typeVersion: 4.2,
position: [200, 0],
parameters: {url: 'https://demo.myshopify.com/admin/api/2024-10/products.json'},
onError: 'continueRegularOutput'
}
],
connections: {
Daily: {main: [[{node: 'Products', type: 'main', index: 0}]]},
Products: {main: [[{node: 'Summary', type: 'main', index: 0}]]}
},
settings: {executionOrder: 'v1'}
}
})
};
fetch('https://automations-api.vortexiq.ai/v1/automations/imports/analyse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://automations-api.vortexiq.ai/v1/automations/imports/analyse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'n8n',
'workflow' => [
'name' => 'Daily product summary',
'nodes' => [
[
'name' => 'Daily',
'type' => 'n8n-nodes-base.scheduleTrigger',
'typeVersion' => 1.2,
'position' => [
0,
0
],
'parameters' => [
'rule' => [
'interval' => [
[
'triggerAtHour' => 7
]
]
]
]
],
[
'name' => 'Products',
'type' => 'n8n-nodes-base.httpRequest',
'typeVersion' => 4.2,
'position' => [
200,
0
],
'parameters' => [
'url' => 'https://demo.myshopify.com/admin/api/2024-10/products.json'
],
'onError' => 'continueRegularOutput'
]
],
'connections' => [
'Daily' => [
'main' => [
[
[
'node' => 'Products',
'type' => 'main',
'index' => 0
]
]
]
],
'Products' => [
'main' => [
[
[
'node' => 'Summary',
'type' => 'main',
'index' => 0
]
]
]
]
],
'settings' => [
'executionOrder' => 'v1'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://automations-api.vortexiq.ai/v1/automations/imports/analyse"
payload := strings.NewReader("{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://automations-api.vortexiq.ai/v1/automations/imports/analyse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://automations-api.vortexiq.ai/v1/automations/imports/analyse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"contract_version": 1,
"data": {
"analysis": {
"intent": {
"source": "n8n",
"platform": "shopify",
"trigger": {
"kind": "schedule",
"cadence": "daily",
"run_at": "07:00"
},
"steps": [
{
"label": "Products",
"connector": "shopify",
"resource": "products",
"action": "read",
"mapping": "alias"
},
{
"label": "Summary",
"connector": null,
"resource": "other",
"action": "read",
"mapping": "none"
}
]
},
"matches": [
{
"template_id": "shopify-price-and-margin",
"name": "Price and margin exceptions · Shopify",
"covered": 1,
"total": 2,
"not_covered": [
"Summary"
],
"trigger_note": "Yours runs daily; this template runs when you press Run by default. You can change it in set-up.",
"needs_store": null
},
{
"template_id": "shopify-catalogue-quality",
"name": "Catalogue quality checklist · Shopify",
"covered": 1,
"total": 2,
"not_covered": [
"Summary"
],
"trigger_note": "Yours runs daily; this template runs when you press Run by default. You can change it in set-up.",
"needs_store": null
}
],
"preview": {
"steps": [
{
"label": "Products",
"words": "Reads products from Shopify.",
"supported": true,
"changes_store": false
},
{
"label": "Summary",
"words": "No template does this yet.",
"supported": false,
"changes_store": false
}
],
"changes": []
},
"excluded": []
},
"plan": {
"name": "Daily product summary",
"platform": "shopify",
"plan_hash": "55fcc85799bf00e5863a27d77276d8b82ec84e2863fb580e0ccb99fa741260f2",
"runnable": true,
"refusal": null,
"trigger": {
"kind": "schedule",
"node": "Daily"
},
"schedule": {
"cadence": "daily",
"run_at": "07:00"
},
"trigger_rule": "every day at 07:00",
"trigger_timezone": null,
"plan_summary": {
"runs": 3,
"shows": 0,
"unsupported": 0,
"sends": 0
},
"steps": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"disposition": "run",
"reason": null,
"needs": null
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"disposition": "run",
"reason": null,
"needs": {
"kind": "store",
"target": null
}
}
]
},
"canvas": {
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"kind": "trigger",
"disposition": "run",
"reason": null,
"position": [
0,
0
],
"disabled": false,
"outputs": [
null
],
"inputs": 0,
"subtitle": "every day at 07:00"
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"kind": "step",
"disposition": "run",
"reason": null,
"position": [
200,
0
],
"disabled": false,
"outputs": [
null
],
"inputs": 1,
"subtitle": "GET: products.json"
}
],
"connections": [
{
"from": "Daily",
"output": 0,
"to": "Products",
"input": 0,
"type": "main"
},
{
"from": "Products",
"output": 0,
"to": "Summary",
"input": 0,
"type": "main"
}
],
"notes": [],
"bounds": {
"x": -40,
"y": 0,
"width": 580,
"height": 160
},
"trigger": {
"node": "Daily",
"kind": "schedule",
"rule": "every day at 07:00",
"timezone": null
},
"timezone_origin": null
}
}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}Analyse workflow
Read an n8n workflow export, a Shopify Flow export, or a workflow described as an intent, and see how Vortex IQ
would run it: the closest templates, and for each step whether it runs, only shows what it would write, or is
not supported. For an export, the answer also carries its plan and canvas where running imported workflows
is switched on for your organisation. Nothing is saved; Create import keeps
it.
The workflow is checked first: a secret typed into a step is removed and reported. Answers 413 for an export
over the size limit and 422 for one that cannot be read.
Needs the automations:read scope.
curl --request POST \
--url https://automations-api.vortexiq.ai/v1/automations/imports/analyse \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "n8n",
"workflow": {
"name": "Daily product summary",
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"typeVersion": 1.2,
"position": [
0,
0
],
"parameters": {
"rule": {
"interval": [
{
"triggerAtHour": 7
}
]
}
}
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"typeVersion": 4.2,
"position": [
200,
0
],
"parameters": {
"url": "https://demo.myshopify.com/admin/api/2024-10/products.json"
},
"onError": "continueRegularOutput"
}
],
"connections": {
"Daily": {
"main": [
[
{
"node": "Products",
"type": "main",
"index": 0
}
]
]
},
"Products": {
"main": [
[
{
"node": "Summary",
"type": "main",
"index": 0
}
]
]
}
},
"settings": {
"executionOrder": "v1"
}
}
}
'import requests
url = "https://automations-api.vortexiq.ai/v1/automations/imports/analyse"
payload = {
"source": "n8n",
"workflow": {
"name": "Daily product summary",
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"typeVersion": 1.2,
"position": [0, 0],
"parameters": { "rule": { "interval": [{ "triggerAtHour": 7 }] } }
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"typeVersion": 4.2,
"position": [200, 0],
"parameters": { "url": "https://demo.myshopify.com/admin/api/2024-10/products.json" },
"onError": "continueRegularOutput"
}
],
"connections": {
"Daily": { "main": [[
{
"node": "Products",
"type": "main",
"index": 0
}
]] },
"Products": { "main": [[
{
"node": "Summary",
"type": "main",
"index": 0
}
]] }
},
"settings": { "executionOrder": "v1" }
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source: 'n8n',
workflow: {
name: 'Daily product summary',
nodes: [
{
name: 'Daily',
type: 'n8n-nodes-base.scheduleTrigger',
typeVersion: 1.2,
position: [0, 0],
parameters: {rule: {interval: [{triggerAtHour: 7}]}}
},
{
name: 'Products',
type: 'n8n-nodes-base.httpRequest',
typeVersion: 4.2,
position: [200, 0],
parameters: {url: 'https://demo.myshopify.com/admin/api/2024-10/products.json'},
onError: 'continueRegularOutput'
}
],
connections: {
Daily: {main: [[{node: 'Products', type: 'main', index: 0}]]},
Products: {main: [[{node: 'Summary', type: 'main', index: 0}]]}
},
settings: {executionOrder: 'v1'}
}
})
};
fetch('https://automations-api.vortexiq.ai/v1/automations/imports/analyse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://automations-api.vortexiq.ai/v1/automations/imports/analyse",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'source' => 'n8n',
'workflow' => [
'name' => 'Daily product summary',
'nodes' => [
[
'name' => 'Daily',
'type' => 'n8n-nodes-base.scheduleTrigger',
'typeVersion' => 1.2,
'position' => [
0,
0
],
'parameters' => [
'rule' => [
'interval' => [
[
'triggerAtHour' => 7
]
]
]
]
],
[
'name' => 'Products',
'type' => 'n8n-nodes-base.httpRequest',
'typeVersion' => 4.2,
'position' => [
200,
0
],
'parameters' => [
'url' => 'https://demo.myshopify.com/admin/api/2024-10/products.json'
],
'onError' => 'continueRegularOutput'
]
],
'connections' => [
'Daily' => [
'main' => [
[
[
'node' => 'Products',
'type' => 'main',
'index' => 0
]
]
]
],
'Products' => [
'main' => [
[
[
'node' => 'Summary',
'type' => 'main',
'index' => 0
]
]
]
]
],
'settings' => [
'executionOrder' => 'v1'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://automations-api.vortexiq.ai/v1/automations/imports/analyse"
payload := strings.NewReader("{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://automations-api.vortexiq.ai/v1/automations/imports/analyse")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://automations-api.vortexiq.ai/v1/automations/imports/analyse")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"source\": \"n8n\",\n \"workflow\": {\n \"name\": \"Daily product summary\",\n \"nodes\": [\n {\n \"name\": \"Daily\",\n \"type\": \"n8n-nodes-base.scheduleTrigger\",\n \"typeVersion\": 1.2,\n \"position\": [\n 0,\n 0\n ],\n \"parameters\": {\n \"rule\": {\n \"interval\": [\n {\n \"triggerAtHour\": 7\n }\n ]\n }\n }\n },\n {\n \"name\": \"Products\",\n \"type\": \"n8n-nodes-base.httpRequest\",\n \"typeVersion\": 4.2,\n \"position\": [\n 200,\n 0\n ],\n \"parameters\": {\n \"url\": \"https://demo.myshopify.com/admin/api/2024-10/products.json\"\n },\n \"onError\": \"continueRegularOutput\"\n }\n ],\n \"connections\": {\n \"Daily\": {\n \"main\": [\n [\n {\n \"node\": \"Products\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n },\n \"Products\": {\n \"main\": [\n [\n {\n \"node\": \"Summary\",\n \"type\": \"main\",\n \"index\": 0\n }\n ]\n ]\n }\n },\n \"settings\": {\n \"executionOrder\": \"v1\"\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"contract_version": 1,
"data": {
"analysis": {
"intent": {
"source": "n8n",
"platform": "shopify",
"trigger": {
"kind": "schedule",
"cadence": "daily",
"run_at": "07:00"
},
"steps": [
{
"label": "Products",
"connector": "shopify",
"resource": "products",
"action": "read",
"mapping": "alias"
},
{
"label": "Summary",
"connector": null,
"resource": "other",
"action": "read",
"mapping": "none"
}
]
},
"matches": [
{
"template_id": "shopify-price-and-margin",
"name": "Price and margin exceptions · Shopify",
"covered": 1,
"total": 2,
"not_covered": [
"Summary"
],
"trigger_note": "Yours runs daily; this template runs when you press Run by default. You can change it in set-up.",
"needs_store": null
},
{
"template_id": "shopify-catalogue-quality",
"name": "Catalogue quality checklist · Shopify",
"covered": 1,
"total": 2,
"not_covered": [
"Summary"
],
"trigger_note": "Yours runs daily; this template runs when you press Run by default. You can change it in set-up.",
"needs_store": null
}
],
"preview": {
"steps": [
{
"label": "Products",
"words": "Reads products from Shopify.",
"supported": true,
"changes_store": false
},
{
"label": "Summary",
"words": "No template does this yet.",
"supported": false,
"changes_store": false
}
],
"changes": []
},
"excluded": []
},
"plan": {
"name": "Daily product summary",
"platform": "shopify",
"plan_hash": "55fcc85799bf00e5863a27d77276d8b82ec84e2863fb580e0ccb99fa741260f2",
"runnable": true,
"refusal": null,
"trigger": {
"kind": "schedule",
"node": "Daily"
},
"schedule": {
"cadence": "daily",
"run_at": "07:00"
},
"trigger_rule": "every day at 07:00",
"trigger_timezone": null,
"plan_summary": {
"runs": 3,
"shows": 0,
"unsupported": 0,
"sends": 0
},
"steps": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"disposition": "run",
"reason": null,
"needs": null
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"disposition": "run",
"reason": null,
"needs": {
"kind": "store",
"target": null
}
}
]
},
"canvas": {
"nodes": [
{
"name": "Daily",
"type": "n8n-nodes-base.scheduleTrigger",
"kind": "trigger",
"disposition": "run",
"reason": null,
"position": [
0,
0
],
"disabled": false,
"outputs": [
null
],
"inputs": 0,
"subtitle": "every day at 07:00"
},
{
"name": "Products",
"type": "n8n-nodes-base.httpRequest",
"kind": "step",
"disposition": "run",
"reason": null,
"position": [
200,
0
],
"disabled": false,
"outputs": [
null
],
"inputs": 1,
"subtitle": "GET: products.json"
}
],
"connections": [
{
"from": "Daily",
"output": 0,
"to": "Products",
"input": 0,
"type": "main"
},
{
"from": "Products",
"output": 0,
"to": "Summary",
"input": 0,
"type": "main"
}
],
"notes": [],
"bounds": {
"x": -40,
"y": 0,
"width": 580,
"height": 160
},
"trigger": {
"node": "Daily",
"kind": "schedule",
"rule": "every day at 07:00",
"timezone": null
},
"timezone_origin": null
}
}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}{
"success": false,
"contract_version": 2,
"message": "<string>",
"code": "<string>",
"errors": {}
}Authorizations
A bearer token from Login, sent as Authorization: Bearer <token>. Valid for 60 minutes; it acts as the person named at login, within their organisation, and never approves. Rotating or disabling the organisation's API credential ends every token made with it on its next call. See Authentication.
Body
Was this page helpful?